Bug 1575575 - No VM image, just grey window
Summary: No VM image, just grey window
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-boxes
Version: 28
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Christophe Fergeau
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-07 10:30 UTC by ell1e
Modified: 2019-05-28 20:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:42:40 UTC
Type: Bug


Attachments (Terms of Use)
vm1.png (list of VMs where graphical output shows fine) (30.91 KB, image/png)
2018-05-07 10:30 UTC, ell1e
no flags Details
vm2.png (fullscreen VM which shows up blank instead of actual VM output) (10.91 KB, image/png)
2018-05-07 10:32 UTC, ell1e
no flags Details

Description ell1e 2018-05-07 10:30:24 UTC
Created attachment 1432567 [details]
vm1.png (list of VMs where graphical output shows fine)

Description of problem:
The VM works after reboot, but doesn't show an image. Guest is Ubuntu 18.04.

Version-Release number of selected component (if applicable):
3.28.2-1.fc28.1

How reproducible:
don't know, 100% for this VM

Steps to Reproduce:
1. Install Ubuntu 18.04 (installer works fine)
2. Reboot into final system

Actual results:
blank screen (see vm2.png), while the VM list clearly shows the actual gdm login of Ubuntu (see vm1.png) so the VM runs

Expected results:
actual VM image instead of blank screen

Additional info:

Comment 1 ell1e 2018-05-07 10:32:07 UTC
Created attachment 1432568 [details]
vm2.png (fullscreen VM which shows up blank instead of actual VM output)

Comment 2 Felipe Borges 2018-05-07 13:42:59 UTC
Could you please run gnome-boxes in a terminal with the following command

G_MESSAGES_DEBUG=all gnome-boxes

And post it in https://paste.fedoraproject.org/ so we can debug?

Thanks.

Comment 3 ell1e 2018-05-07 14:05:46 UTC
I stopped and started gnome-boxes like that, and now it just magically works again :-/ not sure what changed

Comment 4 ell1e 2018-06-20 19:19:09 UTC
Well, I haven't seen this happen again for whatever reason. I wonder if it was related to some bug with Ubuntu's KVM integration that allows resizing to the output window and such? But kinda hard to tell now...

Comment 5 Ben Cotton 2019-05-02 21:33:17 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Ben Cotton 2019-05-28 20:42:40 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.